Cannot install on fresh machine

7 posts, 0 answers
  1. lordscarlet
    lordscarlet avatar
    19 posts
    Member since:
    Jan 2007

    Posted 22 Mar 2010 Link to this post

    I just received a new machine at work. It has Windows XP, and I believe had the 2.0 .NET Framework installed out of the box. I installed Visual Studio 2008, and when I attempt to install ASP.NET AJAX I get the following error when it attempts to install the ASP.NET AJAX Extensions 1.0:

    Setup has failed to deploy Microsoft ASP.NET AJAX Extensions 1.0. Microsoft ASP.NET AJAX 1.0 is a required component for the components targetting .NET 2.0. Please, install Microsoft ASP.NET AJAX Extensions 1.0 from the following URL: http://www.asp.net/ajax/downloads/archive/

    That link no longer goes to where it thinks it does, but I do believe I was able to find the ASP.NET AJAX Extensions 1.0 installation file, and when I try to install it I receive the message:

    Microsoft ASP.NET 2.0 AJAX Extensions 1.0 Setup Wizard ended prematurely because of an error. Your system has not been modified. To install this program at a later time, run the Setup Wizard again.

    Edit: Added error message from ASP.NET 2.0 AJAX Extensions 1.0 Setup Wizard
  2. Erjan Gavalji
    Admin
    Erjan Gavalji avatar
    1455 posts

    Posted 22 Mar 2010 Link to this post

    Hi lordscarlet,

    I'm sorry for the wrong link. We'll fix it for the next version of the installer.
    Here is the correct link:
    http://www.microsoft.com/downloads/details.aspx?FamilyID=ca9d90fa-e8c9-42e3-aa19-08e2c027f5d6&displaylang=en

    Kind regards,
    Erjan Gavalji
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
  3. UI for ASP.NET Ajax is Ready for VS 2017
  4. lordscarlet
    lordscarlet avatar
    19 posts
    Member since:
    Jan 2007

    Posted 22 Mar 2010 Link to this post

    Thanks for the reply -- running that installer gives me the error message above. Any thoughts?
  5. Erjan Gavalji
    Admin
    Erjan Gavalji avatar
    1455 posts

    Posted 22 Mar 2010 Link to this post

    Hi lordscarlet,

    It could be that the .NET Framework 2.0 installation is broken. My suggestion is that you download the redistributable and attempt a repair.

    Best,
    Erjan Gavalji
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
  6. kpreddy
    kpreddy avatar
    1 posts
    Member since:
    Dec 2010

    Posted 28 Dec 2010 Link to this post

    Hi,
    I'm trying to Installation  Sitefinity_4.0.1030.0.msi  Running that installer gives me the error message Setup Wizard ended prematurely because of an error
    How to Fix............?
  7. Jason
    Jason avatar
    1 posts
    Member since:
    Jan 2011

    Posted 04 Jan 2011 Link to this post

    Telerik_Reporting_Q3_2010_v4_2_10_1221_trial.msi fails to install.   Also, because this is an MSI file I can't unzip it and just use the assemblies.

    It seems you folks have some serious problems with detecting .NET frameworks during install.   I've searched your KB and it seems like there are problems on 64 bit windows 7 (a common developer configuration) and several of the .NET frameworks.

    Maybe polling the registry for these values is not a reliable indicator???  Perhaps your installer should look for files and test their versions instead of using the registry?  Better yet, remove the prerequisite requirements and let the installer run.

    Given that you are supporting developers ... how about you simply put up a dialog bog stating (requires .NET Framework X.Y) and then NOT abort the install?  It's completely maddening to have a fresh install of Windows 7, 64 bit, with fully patched VS.NET 2008 and VS.NET 2010 and not be able to install due to a .NET framework 2.0 error ... for something that is already installed (All of the .NET Framework versions).  

    I'm replying to this thread because of the .NET Framework 2.0 post.   Please move this post to the Reporting section if needed.  I would post it again but I don't want to cross post.

    --Update: Via blog entry:  http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx) I downloaded this tool (.NET Framework Setup Verification Tool   http://blogs.msdn.com/cfs-file.ashx/__key/CommunityServer-Components-PostAttachments/00-08-99-90-04/netfx_5F00_setupverifier_5F00_new.zip )

    I ran it on my Windows 7 64 bit system and it verified the follow (both registry and files):

    .NET Framework 2.0 SP2

    .NET Framework 3.0 SP2

    .NET Framework 3.5 SP1

    .NET Framework 4 Client

    .NET Framework 4 Full

    If this MSFT tool is successfully verifying both the files and the registry - it is likely the Telerik installer package has some issues.

  8. Hrisi
    Admin
    Hrisi avatar
    221 posts

    Posted 05 Jan 2011 Link to this post

    Hello Jason,

    Can you try to install .NET Framework 2.0? Please send us the log from the verification tool if that does not help.

    I'm attaching logs from Windows 7, 64 bit where Telerik Reporting is installed successfully for reference...

    All the best,
    Hrisi
    the Telerik team
    Browse the vast support resources we have to jump start your development with RadControls for ASP.NET AJAX. See how to integrate our AJAX controls seamlessly in SharePoint 2007/2010 visiting our common SharePoint portal.
Back to Top
UI for ASP.NET Ajax is Ready for VS 2017